## ros-indigo-controller-manager-tests 0.9.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(controller_manager_tests)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS controller_manager controller_interface control_toolbox)
catkin_python_setup()

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

catkin_package(
  CATKIN_DEPENDS controller_manager controller_interface control_toolbox
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  )

#common commands for building c++ executables and libraries
add_library(${PROJECT_NAME}
  src/my_robot_hw.cpp
  include/controller_manager_tests/my_robot_hw.h
  src/effort_test_controller.cpp
  include/controller_manager_tests/effort_test_controller.h
  src/my_dummy_controller.cpp
  include/controller_manager_tests/my_dummy_controller.h
  )
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(dummy_app src/dummy_app.cpp)
target_link_libraries(dummy_app ${PROJECT_NAME} ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  add_executable(cm_test test/cm_test.cpp)
  add_dependencies(tests cm_test)
  target_link_libraries(cm_test ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
  add_rostest(test/cm_test.test)
  catkin_add_nosetests(test)
  add_rostest(test/cm_msgs_utils_rostest.test)
endif()

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME} dummy_app
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(FILES test_controllers_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-controller-manager-tests (0.9.7-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 18 May 2018 23:00:00 -0000

ros-indigo-controller-manager-tests (0.9.6-0trusty) trusty; urgency=high

  * Fix controller_manager_interface and add unit tests.
  * Contributors: Yong Li

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-indigo-controller-manager-tests (0.9.5-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-indigo-controller-manager-tests (0.9.4-0trusty) trusty; urgency=high

  * Cleaner test exit
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-indigo-controller-manager-tests (0.9.3-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-indigo-controller-manager-tests (0.9.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-indigo-controller-manager-tests (0.9.1-0trusty) trusty; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-indigo-controller-manager-tests (0.9.0-0trusty) trusty; urgency=high

  * Tests for Python helpers added to controller_manager_msgs
  * Buildsystem and documentation fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn, shadowmanos

 -- Vijay Pradeep <vijay@hidof.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-controller-manager-tests (0.8.2-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-indigo-controller-manager-tests (0.8.1-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-indigo-controller-manager-tests (0.8.0-0trusty) trusty; urgency=high

  * controller_manager_tests: fix library linking
    From patch provided by po1 on hydro-devel.
  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Vijay Pradeep <vijay@hidof.com>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-controller-manager-tests (0.7.2-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-indigo-controller-manager-tests (0.7.1-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-indigo-controller-manager-tests (0.7.0-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-indigo-controller-manager-tests (0.6.0-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-indigo-controller-manager-tests (0.5.8-0trusty) trusty; urgency=high

  * Renamed manifest.xml to prevent conflicts with rosdep
  * CMakeLists fix to fit with OpenEmbedded/Yocto meta-ros layer.
    Increase the compatibility of the ros_control code with
    meta-ros, an OpenEmbedded/Yocto layer that provides recipes for ROS
    packages disabling catking checking the variable CATKIN_ENABLE_TESTING.

 -- Vijay Pradeep <vijay@hidof.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-indigo-controller-manager-tests (0.5.7-0trusty) trusty; urgency=high

  * Updated changelogs

 -- Vijay Pradeep <vijay@hidof.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-indigo-controller-manager-tests (0.5.6-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-indigo-controller-manager-tests (0.5.5-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-indigo-controller-manager-tests (0.5.4-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-indigo-controller-manager-tests (0.5.3-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-indigo-controller-manager-tests (0.5.2-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-indigo-controller-manager-tests (0.5.1-0trusty) trusty; urgency=high



 -- Vijay Pradeep <vijay@hidof.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-indigo-controller-manager-tests (0.5.0-0trusty) trusty; urgency=high

  * Add meta tags to packages not specifying them.
    - Website, bugtracker, repository.
  * adding install targets for plugin xml files
  * Tests build.
  * Fix build order.
  * Revert "Fixed PLUGINLIB_DECLARE_CLASS deprecated errors"
    This reverts commit cd9aba265a380bafebb70d63081405d857e9380d.

 -- Vijay Pradeep <vijay@hidof.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-indigo-controller-manager-tests (0.4.0-0trusty) trusty; urgency=high

  * Version 0.4.0
  * 1.0.1
  * Fixed PLUGINLIB_DECLARE_CLASS deprecated errors
  * More uniform hardware_interface API. Refs  #45 <https://github.com/davetcoleman/ros_control/issues/45>.
  * adding install targets
  * adding missing manifests
  * merging CMakeLists.txt files from rosbuild and catkin
  * adding hybrid-buildsystem makefiles
  * catkinizing, could still be cleaned up
  * port to new time api
  * add wait for service
  * Adding in resource/claim infrastructure
  * Refactoring joint command interfaces. Also added getJointNames()
  * Switching to owned interfaces, instead of multiple virtual inheritance
  * Changing interface names
  * Getting tests compiling again
  * Fixing copyright header text
  * Joint interfaces now operate on pointers, instead of refs


=== debian/control ===
Source: ros-indigo-controller-manager-tests
Section: misc
Priority: extra
Maintainer: Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-control-toolbox, ros-indigo-controller-interface, ros-indigo-controller-manager, ros-indigo-rostest
Homepage: http://ros.org/wiki/controller_manager_tests
Standards-Version: 3.9.2

Package: ros-indigo-controller-manager-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-control-toolbox, ros-indigo-controller-interface, ros-indigo-controller-manager, ros-indigo-rostest
Description: controller_manager_tests

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-controller-manager-tests//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
